List all backups for a VPS
curl --request GET \
--url https://api.storiza.store/vps/{vpsId}/backups \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.storiza.store/vps/{vpsId}/backups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.storiza.store/vps/{vpsId}/backups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"message": "VPS backups retrieved successfully",
"data": [
{
"id": "00000000-0000-4000-8000-000000000000",
"name": "Backup #1",
"description": "Example backup",
"status": "pending",
"statusText": "Pending",
"isExpired": false,
"vps": {
"id": "00000000-0000-4000-8000-000000000000"
},
"sizeMB": 10240,
"size": {
"mb": 10240,
"gb": 10
},
"isCancelled": false,
"createdAt": "2026-10-09T14:57:34.007Z",
"updatedAt": "2026-10-09T14:57:34.007Z"
}
],
"pagination": {
"page": 2,
"limit": 2,
"offset": 1,
"total": 1,
"totalPages": 2
}
}Server backups
List all backups for a VPS
Lists the backups of a VPS with pagination, search (name, description) and sorting. While listing, backups stuck in creating for over 30 minutes are reconciled against the hypervisor and missing backup sizes are fetched from the hypervisor storage.
Required API key permission: vps:read
GET
/
vps
/
{vpsId}
/
backups
List all backups for a VPS
curl --request GET \
--url https://api.storiza.store/vps/{vpsId}/backups \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.storiza.store/vps/{vpsId}/backups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.storiza.store/vps/{vpsId}/backups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"message": "VPS backups retrieved successfully",
"data": [
{
"id": "00000000-0000-4000-8000-000000000000",
"name": "Backup #1",
"description": "Example backup",
"status": "pending",
"statusText": "Pending",
"isExpired": false,
"vps": {
"id": "00000000-0000-4000-8000-000000000000"
},
"sizeMB": 10240,
"size": {
"mb": 10240,
"gb": 10
},
"isCancelled": false,
"createdAt": "2026-10-09T14:57:34.007Z",
"updatedAt": "2026-10-09T14:57:34.007Z"
}
],
"pagination": {
"page": 2,
"limit": 2,
"offset": 1,
"total": 1,
"totalPages": 2
}
}Authorizations
An API key from the Storiza dashboard (API & Integrations), sent as Authorization: Bearer stz_….
Path Parameters
Minimum string length:
1Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 250Was this page helpful?